Bug 761234 - remove-ds-admin.pl script fails to stop the admin server.
Summary: remove-ds-admin.pl script fails to stop the admin server.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-admin
Version: 14
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 389_1.2.10
TreeView+ depends on / blocked
 
Reported: 2011-12-07 21:55 UTC by Sankar Ramalingam
Modified: 2012-08-16 21:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 21:34:53 UTC
Type: ---


Attachments (Terms of Use)

Description Sankar Ramalingam 2011-12-07 21:55:45 UTC
Description of problem: Uninstallation script provided with 389-admin package fails to stop the running admin-serv process.


Version-Release number of selected component (if applicable): DS9.0


How reproducible: Consistently on RHEL6.2 x86_64.


Steps to Reproduce:
1. Install 389-ds and 389-admin packages on RHEL6.2 x86_64 machine.. Do "yum -y install redhat-ds 389-ds".
2. Execute setup-ds-admin.pl script to create new DS and Admin server instances.
3. Check for the admin-serv and slapd processes.
4. Run remvoe-ds-admin.pl -y -f -d -d and observe the output.
5. It fails to stop the admin server. 
remove-ds-admin.pl -y -f -d -d -d
+++stopping server /usr/lib64/dirsrv/slapd-Master1 returns status 0: output
+Successfully stopped server /usr/lib64/dirsrv/slapd-Master1
+Instance slapd-Master1 removed.
+++stopping admin server returns status -1: output

Actual results:
remove-ds-admin.pl -y -f -d -d -d
+++stopping server /usr/lib64/dirsrv/slapd-Master1 returns status 0: output
+Successfully stopped server /usr/lib64/dirsrv/slapd-Master1
+Instance slapd-Master1 removed.
+++stopping admin server returns status -1: output
+Warning: Could not stop admin server: status -1: output
/usr/sbin/semanage: Port tcp/9830 is not defined
+removing file /etc/dirsrv/admin-serv/admpw
+saving file /etc/dirsrv/admin-serv/cert8.db
+removing file /etc/dirsrv/admin-serv/local.conf
+saving file /etc/dirsrv/admin-serv/console.conf
+saving file /etc/dirsrv/admin-serv/admserv.conf
+saving file /etc/dirsrv/admin-serv/httpd.conf
+saving file /etc/dirsrv/admin-serv/secmod.db
+saving file /etc/dirsrv/admin-serv/nss.conf
+saving file /etc/dirsrv/admin-serv/key3.db
+removing file /etc/dirsrv/admin-serv/adm.conf
Removed admin server and all directory server instances

ps -eaf |grep -i admin-serv
root     31299     1  0 07:25 ?        00:00:00 /usr/sbin/httpd.worker -k start -f /etc/dirsrv/admin-serv/httpd.conf
root     31302 31299  0 07:25 ?        00:00:00 /usr/sbin/httpd.worker -k start -f /etc/dirsrv/admin-serv/httpd.conf
sramling 31303 31299  0 07:25 ?        00:00:02 /usr/sbin/httpd.worker -k start -f /etc/dirsrv/admin-serv/httpd.conf
root     32740 32680  0 13:42 pts/9    00:00:00 grep -i admin-serv


Expected results:
Admin Sever should be successfully stopped.

Comment 1 Rich Megginson 2012-01-09 15:33:57 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/166

Comment 2 Fedora End Of Life 2012-08-16 21:34:56 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.